* {
    font-family: 'Noto Sans', Arial, sans-serif;
}

a {
    color: inherit;
    text-decoration: none;
}

button.empty-button {
    background-color: transparent;
    border: none;
}

.blue-button {
    border: none;
    background-color: #0079d3;
    text-decoration: none;
    color: white;
    font-weight: bold;
    border-radius: 50vh;
    padding: 7.5px 15px;
}

.blue-button:hover {
    filter: brightness(80%);
}

.grey-button {
    border: none;
    background-color: transparent;
    text-decoration: none;
    color: grey;
    font-weight: bold;
    font-size: small;
    padding: 5px 10px;
}

.grey-button:hover {
    background-color: rgb(224, 224, 224);
}

a.tag {
    background-color: #7d4f0b;
    color: white;
    border-radius: 50vh;
    font-weight: bold;
    font-size: x-small;
    padding: 3px 5px;
}


body {
    display: grid;
    grid-template: 49px 1fr / 270px 1fr;
    grid-template-areas: "header header"
                         "nav main";
}

#header {
    grid-area: header;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    border-bottom: 1px solid lightgrey;
    position: fixed;
    top: 0px;
    width : 100vw;
    background-color: white;
}

#header-home {
    display: flex;
    align-items: center;
}

.header-home-icon {
    height: 40px;
    margin-right: 10px;
}

.header-home-name {
    height: 18px;
}

#header-search {
    background-color: #f6f7f8;
    border: 1px solid lightgrey;
    border-radius: 21px;
    padding: 10px;
}

#header-search:hover {
    border: 2px solid lightblue;
}

#header-search input {
    background-color: transparent;
    border: none;
}

#header-search input:focus {
    outline: none;
}



#nav {
    grid-area: nav;
    height: calc( 100vh - 49px );
    /* margin: 15px; */
    position: fixed;
    top: 49px;
}

#nav > h3 {
    color: grey;
    font-size: x-small;
    margin-top: 20px;
    padding-left: 15px;
}

#nav a {
    color: black;
    text-decoration: none;
    max-width: 220px;
    height: 23px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#nav .item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 15px;
}

#nav .item:hover {
    background-color: lightgray;
}

#nav .sub-items {
    display: flex;
    flex-direction: column;
    margin-left: 40px;
    height: 0;
}

#nav .expanded > .sub-items {
    height: auto;
}

#nav .sub-items a:hover {
    background-color: lightgray;
}




#main {
    grid-area: main;
    height: calc( 100vh - 49px );
    background-color: #dae0e6;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 20px;
}

#main > article {
    display: grid;
    grid-template-columns: 40px 1fr;
    grid-template-rows: 32px auto 40px;
    grid-template-areas: "votes header"
                         "votes content"
                         "votes actions";
    width: 640px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    background-color: white;
}

#main > article:hover {
    border-color: grey;
}

#main article .article-votes {
    grid-area: votes;
    background-color: #f7f9fa;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

#main article .article-votes button {
    background-color: transparent;
    border: none;
}

#main article .article-votes button:first-child:hover {
    color: red;
    background-color: lightgrey;
}

#main article .article-votes button:last-child:hover {
    color: blue;
    background-color: lightgrey;
}

#main article .article-header {
    grid-area: header;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top-right-radius: 5px;
}

#main article .article-header > div {
    display: flex;
    align-items: center;
}

#main article .article-header .image {
    height: 20px;
    width: 20px;
    margin-right: 5px;
    object-fit: cover;
}

#main article .article-header .community {
    color: black;
    text-decoration: none;
    font-weight: 700;
    font-size: .8em;
    margin-right: 5px;
}

#main article .article-header .author {
    color: grey;
    font-weight: 400;
    font-size: .8em;
}

#main article .article-header a:hover {
    text-decoration: underline;
}

#main article .article-content {
    grid-area: content;
}

#main article .article-actions {
    grid-area: actions;
    border-bottom-right-radius: 5px;
    display: flex;
    align-items: center;
    padding: 2px;
    text-align: center;
}


#main article .article-actions .delete-article {
    position: relative;
}